<?php

// navigation menu
if (function_exists('register_nav_menu')) {
register_nav_menu('primary', __('Menu'));
}

// excerpt length
function option_excerpt_length($text){
  return 25;
}

add_filter('excerpt_length', 'option_excerpt_length');

// Language files loading
function theme_init(){
	load_theme_textdomain('default', get_template_directory() . '');
}
add_action ('init', 'theme_init');

if ( function_exists('register_sidebar') ) {
  register_sidebar(array(
    'before_widget' => '<li id="%1$s" class="widget %2$s">',
    'after_widget' => '</li>',
    'before_title' => '<div class="sb-title widgettitle">',
    'after_title' => '</div>',
    'name' => '1'
  ));
}

function  rgblite_get_post_postmeta() { ?>
<div class="meta">
    <span class="alignleft">
    <?php
        echo "<i>By</i> "; echo the_author_link();
        echo " <i>on</i> "; the_date(); echo ".";
        edit_post_link(__( ' * Edit this entry', 'default' ), ' ', '');
    ?>
    </span>
    <!-- float right of post meta in post -->
    <div class="alignright">
    <?php
        echo get_option('rgblite_postmeta_right_text');
    ?>
    </div>

	<div class="clearfix"></div>
    
    <span class="alignleft">
    <?php
        echo "<i>In</i> "; the_category(', ');
	    the_tags(' <i>Tags: </i>', ', ', ' ');
    ?>
    </span>
    <a href="<?php comments_link(); ?>" class="alignright button-style" rel="nofollow"><?php comments_number( __('', 'default'), __('1 comment', 'default'), __('% comments', 'default')); ?></a>
</div>
	<div class="clearfix"> </div>
<?php } 

function  rgblite_get_postmeta() { ?>
<small class="meta">
  <span class="alignleft">
    <?php
        echo "<i>By</i> "; echo the_author_link();
        echo " <i>on</i> "; the_date(); echo ".";
        echo " <i>In</i> "; the_category(', ');
	    the_tags(' <i>Tags: </i>', ', ', ' ');
        edit_post_link(__( ' * Edit this entry', 'default' ), ' ', ''); ?>
  </span>
  <a href="<?php comments_link(); ?>" class="alignright button-style" rel="nofollow"><?php comments_number( __( '', 'default' ), __( '1 comment', 'default' ), __( '% comments', 'default' )); ?></a>
</small>
<?php } 

// http://sivel.net/2008/10/wp-27-comment-separation/
function list_pings($comment, $args, $depth) {
  $GLOBALS['comment'] = $comment;
  echo "<li id=\"comment-";
  echo comment_ID();
  echo "\" class=\"pings\">";
  echo comment_author_link();
}

// Note: Custom Admin Panel Functions

add_action('admin_menu', 'rgblite_options');

function rgblite() {
	
	if(isset($_POST['submitted']) and $_POST['submitted'] == 'yes') :
		update_option("rgblite_footer_text", stripslashes($_POST['rgblite_footer_text']));
		update_option("rgblite_postmeta_right_text", stripslashes($_POST['rgblite_postmeta_right_text']));
		update_option("rgblite_before_content_text", stripslashes($_POST['rgblite_before_content_text']));
		echo "<div id=\"message\" class=\"updated fade\"><p><strong>Your settings have been saved.</strong></p></div>";
	endif; 
	
    $data = array(
        'footer' => get_option('rgblite_footer_text'),
        'postmetaright' => get_option('rgblite_postmeta_right_text'),
        'beforecontent' => get_option('rgblite_before_content_text')
    );
?>

<!-- RGBlite Theme settings -->
<div class="wrap">	
	<h2>RGBlite Theme Settings</h2>

<div class="settings_container" style="width: 100%; margin-right: -200px; float: left;">
	<div style="margin-right: 200px;">
	<form method="post" name="update_form" target="_self">

    <h3 id="rgblite_postmeta_right_text">Right text in post meta</h3>
    <p>These text appears on the right of the post meta in post pages. Mostly it is bookmark tools here.</p>
    <p><textarea id="rgblite_postmeta_right_text" name="rgblite_postmeta_right_text" type="text" rows="15" cols="50"><?php echo str_replace("&", "&amp;", $data['postmetaright']); ?></textarea></p>

    <h3 id="rgblite_before_content_text">Text before the post content</h3>
    <p>These text appears before the content of the post. Any html code suits here.</p>
    <p><textarea id="rgblite_before_content_text" name="rgblite_before_content_text" type="text" rows="15" cols="50"><?php echo str_replace("&", "&amp;", $data['beforecontent']); ?></textarea></p>

    <h3 id="rgblite_footer_text">Footer</h3>
    <p>These text appears at the footer in every page after the content. Javascript, pageloads counter or any other html codes suit here.</p>
    <p><textarea id="rgblite_footer_text" name="rgblite_footer_text" type="text" rows="15" cols="50"><?php echo str_replace("&", "&amp;", $data['footer']); ?></textarea></p>
    <p class="submit" id="jump_submit">
			<input name="submitted" type="hidden" value="yes" />
			<input type="submit" name="Submit" value="Save Changes" />
    </p>
	</form>
	
	<h2>About RGBlite Theme</h2>
	
	<h3 id="rgblite_about_doc">About your new theme</h3>
	<p>Thank you for using the RGBlite Theme theme, a free wordpress theme designed by <a href="http://fclose.com/zma/">Zhiqiang Ma</a>.</p>
  <p>RGBlite Theme is a <strong>simple &amp; elegant light-weight</strong> theme for Wordpress with a <strong>clean typography</strong>, built with <strong>seo and page-rendering optimizations</strong> in mind. RGBlite Theme supports Wordpress 3.0 and up.</p>
	<p>If you need any support or want some tips, please visit <a href="http://fclose.com/b/web/1728/rgblite-wordpress-theme/">RGBlite Theme project page</a></p>

	<h3 id="rgblite_licence_doc">Licence</h3>
	<p>
	Released under the <a target="_blank" href="http://www.gnu.org/licenses/gpl.html">GPL License</a> (<a target="_blank" href="http://en.wikipedia.org/wiki/GNU_General_Public_License">What is the GPL</a>?)
  </p>
	<p>
  Free to download, free to use, free to customize. Basically you can do whatever you want as long as you credit me back with a link.
	</p>
	
	</div>
	</div>
	
</div>
<?php
}

function rgblite_options() { // Adds to menu
	add_menu_page('RGBlite Theme Settings', __('RGBlite Settings', 'default'), 'edit_themes', __FILE__, 'rgblite');
}

/*
   Please leave the credits. Thanks!
 */
function rgblite_footer() { ?>

<div id="footer" class="clearfix">
<p class="alignright">
  <a href="#home" class="top-link"><?php _e('Back to Top', 'default'); ?></a>
</p>

<p>
	Copyright &copy; <?php echo date("Y"); ?> <a href="<?php echo get_option('home'); ?>/" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a> 
    &middot; All rights reserved 
    &middot; <a href="http://fclose.com/b/web/1728/rgblite-wordpress-theme/">RGBlite Theme</a> designed by <a href="http://fclose.com/zma/" >Zhiqiang Ma</a>
    &middot; Powered by <a href="http://wordpress.org">WordPress</a>
    &middot; Valid <a href="http://validator.w3.org/check?uri=referer" title="This page validates as XHTML 1.0 Transitional" rel="nofollow">XHTML</a> and <a href="http://jigsaw.w3.org/css-validator/check/referer?profile=css3" rel="nofollow">CSS 3</a>
</p>
<p>
<?php echo get_option('rgblite_footer_text'); ?>
</p>
</div>

<?php
}
  
  add_action('wp_footer', 'rgblite_footer');

?>
